com.rscja.deviceapi.entity

## Enum HF15693RequestEntity.TagType

- java.lang.Object
- - java.lang.Enum<HF15693RequestEntity.TagType>
  - - com.rscja.deviceapi.entity.HF15693RequestEntity.TagType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HF15693RequestEntity.TagType>
  Enclosing class:
    HF15693RequestEntity

      public static enum HF15693RequestEntity.TagType
      extends java.lang.Enum<HF15693RequestEntity.TagType>

  标签类型
  Tag type
  Author:
    liuruifeng

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EM4033`
    `ICODE2`
    `STLRIS64K`
    `TI2048`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static HF15693RequestEntity.TagType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HF15693RequestEntity.TagType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ICODE2

          public static final HF15693RequestEntity.TagType ICODE2

    - #### TI2048

          public static final HF15693RequestEntity.TagType TI2048

    - #### STLRIS64K

          public static final HF15693RequestEntity.TagType STLRIS64K

    - #### EM4033

          public static final HF15693RequestEntity.TagType EM4033

    - #### UNKNOWN

          public static final HF15693RequestEntity.TagType UNKNOWN

  - ### Method Detail

    - #### values

          public static HF15693RequestEntity.TagType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HF15693RequestEntity.TagType c : HF15693RequestEntity.TagType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HF15693RequestEntity.TagType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()